Closing of Search Library tool by same method as opening it
Status: New Start date: May 12, 2020
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.0.3

Description

| think the File Menu entry to open the Search Library took and pretty Ctrl+Y should both toggle the Search Tool. Currently the only
open it and not close it.

Then on my system there is a minor issue that the close button is near invisible on all Plugins that open a side pane. Strangely these
don't follow the same theme as the Close buttons for playlists. | missed these so long | almost posted it wasn't possible to close it
without going into Settings>Plugins. See screenshot for this.

History

#1 - May 12, 2020 20:49 - John Lindgren

- Tracker changed from Bug to Feature

The invisible close buttons are an issue with the gtk2 style plugin for Qt; it doesn't handle dark themes well. Kvantum does better.

#2 - May 12, 2020 20:58 - Dale Powell

Wow my brain was confused when writing that first sentence, sorry for not proof reading. (I suspected as much about the dark theme and that's no
problem, although thought my style conversion was done with a combination of qt5ct and Kvantum, unless it's due to the plugin itself....)

Anyway for clarity the initial sentence and main bug/feature request should have read:
| think the File Menu entry to open the Search Library tool and pressing Ctrl+Y should both toggle the Search Tool. Currently they only open it and not
close it.

#3 - May 13, 2020 00:15 - Dale Powell

Semi-related bug.

If you open the Search Tool with Ctrl+Y and then close with the X close icon then the playlist loses focus and you can not control playback
(start/pause, ffwd/back, playlist up/down etc) from the keyboard until you click again within the playlist area. If it's been opened from within Settings
doesn't have this issue (and thus none of the other plugins can be shown to have it either and none have menu entries or keyboard shortcuts.)

Playing with Playlist Manager | can see focus is returning to Playlist Selection with left/right and this prevents all the normal keyboard shortcuts from
working.... (If you open the Playlist Manger, then click inside the pane before closing it you can also get the same behaviour.)
